### Hierarchy

- unknown
  - AddPersistableNetworkPayloadMessage

## Index

### Constructors

- constructor

### Methods

- clearPayload
- getPayload
- hasPayload
- serializeBinary
- setPayload
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new AddPersistableNetworkPayloadMessage(): AddPersistableNetworkPayloadMessage

- Inherited from jspb.Message.constructor

  #### Returns AddPersistableNetworkPayloadMessage

## Methods

### clearPayload

- clearPayload(): AddPersistableNetworkPayloadMessage

- - Defined in src/protobuf/pb_pb.d.ts:903

  #### Returns AddPersistableNetworkPayloadMessage

### getPayload

- getPayload(): undefined | PersistableNetworkPayload

- - Defined in src/protobuf/pb_pb.d.ts:900

  #### Returns undefined | PersistableNetworkPayload

### hasPayload

- hasPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:902

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:905

  #### Returns Uint8Array

### setPayload

- setPayload(value?: PersistableNetworkPayload ): AddPersistableNetworkPayloadMessage

- - Defined in src/protobuf/pb_pb.d.ts:901

  #### Parameters

  - ##### Optional value: PersistableNetworkPayload

  #### Returns AddPersistableNetworkPayloadMessage

### toObject

- toObject(includeInstance?: boolean): AddPersistableNetworkPayloadMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:906

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns AddPersistableNetworkPayloadMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): AddPersistableNetworkPayloadMessage

- - Defined in src/protobuf/pb_pb.d.ts:909

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns AddPersistableNetworkPayloadMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: AddPersistableNetworkPayloadMessage, reader: BinaryReader): AddPersistableNetworkPayloadMessage

- - Defined in src/protobuf/pb_pb.d.ts:910

  #### Parameters

  - ##### message: AddPersistableNetworkPayloadMessage

  - ##### reader: BinaryReader

  #### Returns AddPersistableNetworkPayloadMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: AddPersistableNetworkPayloadMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:908

  #### Parameters

  - ##### message: AddPersistableNetworkPayloadMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: AddPersistableNetworkPayloadMessage ): AddPersistableNetworkPayloadMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:907

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: AddPersistableNetworkPayloadMessage

  #### Returns AddPersistableNetworkPayloadMessage . AsObject

Generated using TypeDoc